Subject: Re: [PATCH] Makefile: update defaults for modern Cygwin

From: Jonathan Nieder <[email-masked]>
Date: Mon, 5 Apr 2010 09:30:53 -0500

Eric Blake wrote:

> Cygwin 1.6 is on par with 1.5 feature-wise, so your cutoff of 1.6 as the
> last old version is correct.

Thanks for explaining.

> ifeq ($(shell case '$(uname_R)' in (1.[1-6].*) echo old;; esac),old)

Looks good to me.

While I have your attention, do you know of a simple way to test
Cygwin programs under Linux?  setup.exe does not work well under wine,
so I am asking mostly in the hope that there is a .tar.gz or .zip
binary distribution somewhere I could play with.

Thanks,
Jonathan